package leigh.elements;

import leigh.elements.sdk.type1.Element;
import leigh.eo.EO;

import java.util.UUID;

public abstract class ElementBase implements Element {
    public final static String KEY_ID = "id";
    private final EO cfg;

    protected ElementBase(EO cfg) {
        this.cfg = cfg;
    }

    public EO getCfg() {
        return cfg;
    }

    public UUID getId() {
        return cfg.getValueUUID(KEY_ID);
    }
}
